Je sais que cette nouvelle réjouira beaucoup d’entre vous : PHP 5.3 est enfin disponible chez alwaysdata. Plus précisément : la version 5.3.2 est désormais installée et sélectionnable dans l’administration, ainsi que la 5.2.13 rajoutée au passage. Comme d’habitude, rien ne change automatiquement : c’est à vous de passer à 5.3 volontairement, si vous le souhaitez. Les nouveaux comptes, eux, sont par défaut en 5.3.

Cette version aura mis du temps à être disponible pour plusieurs raisons. La première, c’est que nous étions très occupés par la nouvelle architecture, entre autres. La seconde, c’est que le déploiement d’une nouvelle version majeure d’un langage (que ce soit PHP, Python ou Ruby) est une opération beaucoup plus compliquée qu’il n’y paraît. Le support de plusieurs versions d’un même langage non compatibles entre elles (par exemple, PHP 5.2 et 5.3) demande de gros efforts de cohabitation, et même des développements internes assez conséquents. C’est la raison pour laquelle alwaysdata est probablement l’un des seuls hébergeurs à vous proposer simultanément autant de versions différentes de PHP, Python et Ruby.

Message personnel à tous les Rubyistes : la version 1.9.1 est sur les rails, encore un peu de patience :) Je sais que cette nouvelle réjouira beaucoup d’entre vous : PHP 5.3 est enfin disponible chez alwaysdata. Plus précisément : la version 5.3.2 est désormais installée et sélectionnable dans l’administration, ainsi que la 5.2.13 rajoutée au passage. Comme d’habitude, rien ne change automatiquement : c’est à vous de passer à 5.3 volontairement, si vous le souhaitez. Les nouveaux comptes, eux, sont par défaut en 5.3.

Cette version aura mis du temps à être disponible pour plusieurs raisons. La première, c’est que nous étions très occupés par la nouvelle architecture, entre autres. La seconde, c’est que le déploiement d’une nouvelle version majeure d’un langage (que ce soit PHP, Python ou Ruby) est une opération beaucoup plus compliquée qu’il n’y paraît. Le support de plusieurs versions d’un même langage non compatibles entre elles (par exemple, PHP 5.2 et 5.3) demande de gros efforts de cohabitation, et même des développements internes assez conséquents. C’est la raison pour laquelle alwaysdata est probablement l’un des seuls hébergeurs à vous proposer simultanément autant de versions différentes de PHP, Python et Ruby.

Message personnel à tous les Rubyistes : la version 1.9.1 est sur les rails, encore un peu de patience :)

4 Commentaires »

  1. jmsche 22 juin 2010 @ 13:24

    Ah enfin :D
    Ça va me faire plaisir d’accéder à toutes ces fonctionnalités, même si je vais devoir recoder toute une partie :)

  2. Marko 22 juin 2010 @ 14:03

    Oui, Ruby 1.9 c’est bon ça !
    On attends avec impatience !

  3. Jarzon 22 juin 2010 @ 19:24

    Enfin on va pouvoir utiliser les nouvelle fonctions :D

    Merci beaucoup

  4. Svalbard 22 juin 2010 @ 21:18

    Youpi !
    Enfin du PHP 5.3, et toutes les mises à niveaux :)

    Merci ( … et bravo ^^ )

Flux RSS des commentaires de cet article. | TrackBack URL

Rédiger un commentaire